Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.event
Class ConfigurationErrorEvent

    java.lang.Object
      java.util.EventObject
          org.apache.commons.configuration.event.ConfigurationEvent
              org.apache.commons.configuration.event.ConfigurationErrorEvent

All Implemented Interfaces:
  Serializable

    public class ConfigurationErrorEvent

extends ConfigurationEvent

An event class that is used for reporting errors that occurred while processing configuration properties.

Some configuration implementations (e.g. `DatabaseConfiguration` or `JNDIConfiguration` use an underlying storage that can throw an exception on each property access. In earlier versions of this library such exceptions were logged and then silently ignored. This makes it impossible for a client to find out that something went wrong.

To give clients better control over the handling of errors that occur during access of a configuration object a new event listener mechanism specific for exceptions is introduced: Clients can register itself at a configuration object as an error listener and are then notified about all internal errors related to the source configuration object.

By inheriting from `ConfigurationEvent` this event class supports all properties that describe an operation on a configuration instance. In addition a `Throwable` object is available representing the occurred error. The event's type determines the operation that caused the error. Note that depending on the event type and the occurred exception not all of the other properties (e.g. name of the affected property or its value) may be available.

Since:
  1.4
Version:
  $Id: ConfigurationErrorEvent.java 1207610 2011-11-28 21:06:22Z oheger $
Author:
  Commons Configuration team
See Also:
  `ConfigurationEvent`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConfigurationErrorEvent(Object source, int type, String propertyName, Object propertyValue, Throwable cause)` Creates a new instance of `ConfigurationErrorEvent` and initializes it.

Method Summary
`Throwable` | `getCause()` Returns the cause of this error event.

Methods inherited from class org.apache.commons.configuration.event.ConfigurationEvent
`getPropertyName, getPropertyValue, getType, isBeforeUpdate`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationErrorEvent

    public ConfigurationErrorEvent(Object source,
                                   int type,
                                   String propertyName,
                                   Object propertyValue,
                                   Throwable cause)

  Creates a new instance of `ConfigurationErrorEvent` and initializes it.

  Parameters:
    `source` - the event source
    `type` - the event's type
    `propertyName` - the name of the affected property
    `propertyValue` - the value of the affected property
    `cause` - the exception object that caused this event

Method Detail

### getCause

    public Throwable getCause()

  Returns the cause of this error event. This is the `Throwable` object that caused this event to be fired.

  Returns:
    the cause of this error event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.